aboutsummaryrefslogblamecommitdiffstats
path: root/community/py3-libvirt/APKBUILD
blob: f6cca87df8e7fa5fb2c86733eb56c14b776c768d (plain) (tree)
1
2
3
4
5
6
7
8
9
                                                          
                   
                       
            
        

                                                       
          
                           
                                                    
                                                                   

                              
                                    
 


                                                       
         


                              
         
                              


           
                                                               

 
                                                                                                                                                                         
                                                                                                                                                         
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=py3-libvirt
_pkgname=libvirt-python
pkgver=6.5.0
pkgrel=0
pkgdesc="The libvirt virtualization API python binding"
url="http://libvirt.org"
arch="all"
license="LGPL-2.0-or-later"
makedepends="py3-setuptools python3-dev libvirt-dev"
source="https://libvirt.org/sources/python/$_pkgname-$pkgver.tar.gz
	musl-gnuc-prereq.patch
	"
builddir="$srcdir/$_pkgname-$pkgver"

replaces="py-libvirt" # Backwards compatibility
provides="py-libvirt=$pkgver" # Backwards compatibility

check() {
	python3 setup.py check
}

build() {
	python3 setup.py build
}

package() {
	python3 setup.py install --prefix=/usr --root="$pkgdir"
}

sha512sums="a69c75b615f674bbb89fdb3e5cfc3dddfde68adffd0599e9d03f1552bb765823dc003859fe713ac0a324835c61f909bd43518571ddde8f99c37bee2416f094eb  libvirt-python-6.5.0.tar.gz
8aa1d814f8388ebff0736ee138c780323381cd4cf39b4a4faed2e2a1fe5911facc34505a85b0977d8b4240b8ce2f4a6d0414790693c4f45ff7d9592e9d6a3ff8  musl-gnuc-prereq.patch"